# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Jan 23 18:32:58 2023
# ------------------------------------------------

package:
  name: h5py
  version: 3.8.0
source:
  sha256: 1ec05e67b246a50142762de1bd008022366562d749fd508417ba3286a4a692ad
  url: https://github.com/h5py/h5py/archive/3.8.0.tar.gz
build:
  number: '100'
  script_env: null
  string: nompi_py310h0311031_100
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 11.3.0 h239ccf8_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - cython 0.29.33 py310heca2aa9_0
    - hdf5 1.12.2 nompi_h4df4325_101
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libaec 1.0.6 hcb278e6_1
    - libblas 3.9.0 16_linux64_openblas
    - libcblas 3.9.0 16_linux64_openblas
    - libcurl 7.87.0 hdc1c0ab_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - liblapack 3.9.0 16_linux64_openblas
    - libnghttp2 1.51.0 hff17c54_0
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.21 pthreads_h78a6416_3
    - libsqlite 3.40.0 h753d276_0
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - numpy 1.21.6 py310h45f3432_0
    - openssl 3.0.7 h0b41bf4_1
    - pip 22.3.1 pyhd8ed1ab_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - pkgconfig 1.5.5 pyhd8ed1ab_4
    - python 3.10.8 h4a9ceb5_0_cpython
    - python_abi 3.10 3_cp310
    - readline 8.1.2 h0f457ee_0
    - setuptools 66.1.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - cached-property
    - hdf5 >=1.12.2,<1.12.3.0a0
    - libgcc-ng >=12
    - numpy >=1.21.6,<2.0a0
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
test:
  commands:
    - pip check
  imports:
    - h5py
  requires:
    - pip
    - pytest
    - pytest-mpi
about:
  dev_url: https://github.com/h5py/h5py
  home: http://www.h5py.org/
  license: BSD-3-Clause
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - jan-janssen
    - minrk
    - ocefpaf
    - scopatz
    - tacaswell
